AddDelegateTransformer (cglib (Version 2.2.2))
Date: 2016-02-03

net.sf.cglib.transform.impl

## Class AddDelegateTransformer

- java.lang.Object
- - org.objectweb.asm.ClassAdapter
  - - net.sf.cglib.core.ClassEmitter
    - - net.sf.cglib.transform.ClassEmitterTransformer
      - - net.sf.cglib.transform.impl.AddDelegateTransformer

- All Implemented Interfaces:
    ClassTransformer, org.objectweb.asm.ClassVisitor

      public class AddDelegateTransformer
      extends ClassEmitterTransformer

  Author:
    Juozas Baliuka

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddDelegateTransformer(java.lang.Class[] delegateIf, java.lang.Class delegateImpl)` Creates a new instance of AddDelegateTransformer

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin_class(int version, int access, java.lang.String className, org.objectweb.asm.Type superType, org.objectweb.asm.Type[] interfaces, java.lang.String sourceFile)`
    `CodeEmitter` | `begin_method(int access, Signature sig, org.objectweb.asm.Type[] exceptions)`

    - ### Methods inherited from class net.sf.cglib.core.ClassEmitter

      `begin_static, declare_field, end_class, getAccess, getClassInfo, getClassType, getStaticHook, getSuperType, setTarget, visit, visitEnd, visitField, visitMethod`

    - ### Methods inherited from class org.objectweb.asm.ClassAdapter

      `visitAnnotation, visitAttribute, visitInnerClass, visitOuterClass, visitSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.cglib.transform.ClassTransformer

      `setTarget`

    - ### Methods inherited from interface org.objectweb.asm.ClassVisitor

      `visit, visitAnnotation, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitOuterClass, visitSource`

- - ### Constructor Detail

    - #### AddDelegateTransformer

          public AddDelegateTransformer(java.lang.Class[] delegateIf,
                                java.lang.Class delegateImpl)

      Creates a new instance of AddDelegateTransformer

  - ### Method Detail

    - #### begin_class

          public void begin_class(int version,
                         int access,
                         java.lang.String className,
                         org.objectweb.asm.Type superType,
                         org.objectweb.asm.Type[] interfaces,
                         java.lang.String sourceFile)

      Overrides:
        `begin_class` in class `ClassEmitter`

    - #### begin_method

          public CodeEmitter begin_method(int access,
                                 Signature sig,
                                 org.objectweb.asm.Type[] exceptions)

      Overrides:
        `begin_method` in class `ClassEmitter`

Copyright (c) 2001 - Apache Software Foundation